PUT v1/Companies({companyId})/CovaOrderReceiptNumberReservation({orderId})
This endpoint will generate a receipt number for a given orderId. All subsequent calls to other endpoints with that orderId will use this receipt number. This can be used by integrators to generate a receipt number for an order before the order is created.
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| companyId |
The company the order was created at. |
integer |
Required |
| orderId |
The Id of the order. |
globally unique identifier |
Required |
Body Parameters
None.
Response Information
Resource Description
CovaOrderReceiptNumberReservationReturn| Name | Description | Type | Additional information |
|---|---|---|---|
| OrderId |
The OrderId belonging to this receiptNumber |
globally unique identifier |
None. |
| ReceiptNumber |
The receipt number that was reserved for this order |
string |
None. |
Response Formats
application/json, text/json
Sample:
{
"OrderId": "2a8f5d33-eec9-4864-8b49-5636577b40d5",
"ReceiptNumber": "IN8A6J-12BS07R"
}